Productsup

Get an export template attribute

Retrieves a single export template attribute.

GET
/V1/export-templates/{templateId}/attributes/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

templateId*string

Export template id.

id*string

Export Template Attribute id.

Response Body

application/json

application/json

application/json

curl -X GET "https://export-template-api.productsup.com/V1/export-templates/string/attributes/string"
{
  "data": {
    "id": 995976,
    "alias": "",
    "mandatory": false,
    "type": "optional",
    "conditions": [],
    "flag": "",
    "isDefaultTrackingColumn": false,
    "isUniqueColumn": false,
    "order": 0,
    "deltaIgnore": false,
    "deltaKey": false,
    "automapIgnore": false,
    "description": "",
    "format": null,
    "export": {
      "id": 58949,
      "unpublishedChanges": true
    },
    "fieldTags": [
      {
        "id": 1247720,
        "key": "classification_field_code",
        "value": "EF12345"
      },
      {
        "id": 1247721,
        "key": "classification_field_sub_type",
        "value": "details"
      }
    ],
    "analyzerTestExports": [
      {
        "id": 583587,
        "analyzerTest": {
          "id": 75122
        }
      },
      {
        "id": 583588,
        "analyzerTest": {
          "id": 75123
        }
      }
    ],
    "fieldname": "name",
    "examples": [
      null
    ]
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}
{
  "errors": {
    "message": "Export Template Attribute with id 123 not found."
  }
}